aboutsummaryrefslogtreecommitdiff
path: root/cmake
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2017-12-31 06:17:54 +0100
committerdec05eba <dec05eba@protonmail.com>2017-12-31 06:19:50 +0100
commitab712cf153e543e84a5c6484e19d22ba90bdbeff (patch)
treeb82b101b586deb6caca63a1de8737a89e82bd4f5 /cmake
parentae213b2b6f8dcc75de53ab27b0b35bc3455a8eb3 (diff)
Add cmake building, add ignore dirs option
Sometimes it's not possible to build new sibs with older sibs because of changes that break backwards compatbility. If sibs installation fails with sibs, use cmake.
Diffstat (limited to 'cmake')
-rwxr-xr-xcmake/install.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/cmake/install.sh b/cmake/install.sh
new file mode 100755
index 0000000..384ad5d
--- /dev/null
+++ b/cmake/install.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+set -e
+
+scriptpath="$(dirname "$0")"
+mkdir -p "$scriptpath/build/release"
+cd "$scriptpath/build/release"
+cmake -G Ninja -DCMAKE_BUILD_TYPE=Release ../../../
+ninja
+sudo cp sibs /usr/bin/
+echo "Copied $scriptpath/build/release/sibs to /usr/bin/sibs"
+echo "Installation successful!"